unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    ListView1: TListView;
    procedure FormCreate(Sender: TObject);
    procedure ListView1Edited(Sender: TObject; Item: TListItem;
      var AValue: string);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  FileUtil;

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var
  L: TStrings;
  i: Integer;
begin
  L := TStringlist.Create;
  try
    FindAllFiles(L, '.', '*.*', false);

    ListView1.BeginUpdate;
    try
      ListView1.Clear;
      for i:=0 to L.Count-1 do
        with Listview1.Items.Add do
          Caption := Extractfilename(L[i]);
    finally
      ListView1.EndUpdate;
    end;
  finally
    L.Free;
  end;
end;

procedure TForm1.ListView1Edited(Sender: TObject; Item: TListItem;
  var AValue: string);
var
  oldName: string;
begin
  oldName := Item.Caption;
  RenameFile(oldName, AValue);
end;


end.

